// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#include "actor.h"

Module::Actor::Actor(const std::shared_ptr<gloox::Client>& client):
    Module(client)
{}

Module::Actor::~Actor() noexcept {}

void Module::Actor::message(const std::shared_ptr<::Actor>& actor, const Module::Module::Tokens& args) {
    if (args.front() == "list")
        sendMessage(actor, "Me\nMyself\nI");
}
